Index: contrib/ntp/sntp/tests/packetProcessing.c
===================================================================
--- contrib/ntp/sntp/tests/packetProcessing.c	(版本 309693)
+++ contrib/ntp/sntp/tests/packetProcessing.c	(版本 310419)
@@ -1,10 +1,5 @@
 #include "config.h"
 
-/* need autokey for some of the tests, or the will create buffer overruns. */
-#ifndef AUTOKEY
-# define AUTOKEY 1
-#endif
-
 #include "sntptest.h"
 #include "networking.h"
 #include "ntp_stdlib.h"
@@ -13,7 +8,7 @@
 
 const char * Version = "stub unit test Version string";
 
-// Hacks into the key database.
+/* Hacks into the key database. */
 extern struct key* key_ptr;
 extern int key_cnt;
 
@@ -41,9 +36,25 @@
 void test_CorrectAuthenticatedPacketMD5(void);
 void test_CorrectAuthenticatedPacketSHA1(void);
 
+/* [Bug 2998] There are some issues whith the definition of 'struct pkt'
+ * when AUTOKEY is undefined -- the formal struct is too small to hold
+ * all the extension fields that are going to be tested. We have to make
+ * sure we have the extra bytes, or the test yield undefined results due
+ * to buffer overrun. 
+ */
+#ifndef AUTOKEY
+# define EXTRA_BUFSIZE 256
+#else
+# define EXTRA_BUFSIZE 0
+#endif
 
-static struct pkt testpkt;
-static struct pkt testspkt;
+union tpkt {
+	struct pkt p;
+	u_char     b[sizeof(struct pkt) + EXTRA_BUFSIZE];
+}; 
+
+static union tpkt testpkt;
+static union tpkt testspkt;
 static sockaddr_u testsock;
 bool restoreKeyDb;
 
@@ -95,10 +106,10 @@
 	/* Initialize the test packet and socket,
 	 * so they contain at least some valid data.
 	 */
-	testpkt.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING, NTP_VERSION,
+	testpkt.p.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING, NTP_VERSION,
 										MODE_SERVER);
-	testpkt.stratum = STRATUM_REFCLOCK;
-	memcpy(&testpkt.refid, "GPS\0", 4);
+	testpkt.p.stratum = STRATUM_REFCLOCK;
+	memcpy(&testpkt.p.refid, "GPS\0", 4);
 
 	/* Set the origin timestamp of the received packet to the
 	 * same value as the transmit timestamp of the sent packet.
@@ -107,8 +118,8 @@
 	tmp.l_ui = 1000UL;
 	tmp.l_uf = 0UL;
 
-	HTONL_FP(&tmp, &testpkt.org);
-	HTONL_FP(&tmp, &testspkt.xmt);
+	HTONL_FP(&tmp, &testpkt.p.org);
+	HTONL_FP(&tmp, &testspkt.p.xmt);
 }
 
 
@@ -129,11 +140,11 @@
 test_TooShortLength(void)
 {
 	TEST_ASSERT_EQUAL(PACKET_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC - 1,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC - 1,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 	TEST_ASSERT_EQUAL(PACKET_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC - 1,
-				      MODE_BROADCAST, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC - 1,
+				      MODE_BROADCAST, &testspkt.p, "UnitTest"));
 }
 
 
@@ -141,11 +152,11 @@
 test_LengthNotMultipleOfFour(void)
 {
 	TEST_ASSERT_EQUAL(PACKET_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC + 6,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC + 6,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 	TEST_ASSERT_EQUAL(PACKET_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC + 3,
-				      MODE_BROADCAST, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC + 3,
+				      MODE_BROADCAST, &testspkt.p, "UnitTest"));
 }
 
 
@@ -152,11 +163,18 @@
 void
 test_TooShortExtensionFieldLength(void)
 {
+	/* [Bug 2998] We have to get around the formal specification of
+	 * the extension field if AUTOKEY is undefined. (At least CLANG
+	 * issues a warning in this case. It's just a warning, but
+	 * still...
+	 */
+	uint32_t * pe = testpkt.p.exten + 7;
+	
 	/* The lower 16-bits are the length of the extension field.
 	 * This lengths must be multiples of 4 bytes, which gives
 	 * a minimum of 4 byte extension field length.
 	 */
-	testpkt.exten[7] = htonl(3); /* 3 bytes is too short. */
+	*pe = htonl(3); /* 3 bytes is too short. */
 
 	/* We send in a pkt_len of header size + 4 byte extension
 	 * header + 24 byte MAC, this prevents the length error to
@@ -165,8 +183,8 @@
 	int pkt_len = LEN_PKT_NOMAC + 4 + 24;
 
 	TEST_ASSERT_EQUAL(PACKET_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, pkt_len,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, pkt_len,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -181,8 +199,8 @@
 
 	/* We demand authentication, but no MAC header is present. */
 	TEST_ASSERT_EQUAL(SERVER_AUTH_FAIL,
-			  process_pkt(&testpkt, &testsock, pkt_len,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, pkt_len,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -196,8 +214,8 @@
 	int pkt_len = LEN_PKT_NOMAC + 4; /* + 4 byte MAC = Crypto-NAK */
 
 	TEST_ASSERT_EQUAL(SERVER_AUTH_FAIL,
-			  process_pkt(&testpkt, &testsock, pkt_len,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, pkt_len,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -211,19 +229,19 @@
 	/* Prepare the packet. */
 	int pkt_len = LEN_PKT_NOMAC;
 
-	testpkt.exten[0] = htonl(50);
-	int mac_len = make_mac(&testpkt, pkt_len,
+	testpkt.p.exten[0] = htonl(50);
+	int mac_len = make_mac(&testpkt.p, pkt_len,
 			       MAX_MD5_LEN, key_ptr,
-			       &testpkt.exten[1]);
+			       &testpkt.p.exten[1]);
 
 	pkt_len += 4 + mac_len;
 
 	/* Now, alter the MAC so it becomes invalid. */
-	testpkt.exten[1] += 1;
+	testpkt.p.exten[1] += 1;
 
 	TEST_ASSERT_EQUAL(SERVER_AUTH_FAIL,
-			  process_pkt(&testpkt, &testsock, pkt_len,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, pkt_len,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -239,15 +257,15 @@
 	 */
 	int pkt_len = LEN_PKT_NOMAC;
 
-	testpkt.exten[0] = htonl(50);
-	int mac_len = make_mac(&testpkt, pkt_len,
+	testpkt.p.exten[0] = htonl(50);
+	int mac_len = make_mac(&testpkt.p, pkt_len,
 			       MAX_MD5_LEN, key_ptr,
-			       &testpkt.exten[1]);
+			       &testpkt.p.exten[1]);
 	pkt_len += 4 + mac_len;
 
 	TEST_ASSERT_EQUAL(SERVER_AUTH_FAIL,
-			  process_pkt(&testpkt, &testsock, pkt_len,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, pkt_len,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -256,16 +274,16 @@
 {
 	TEST_ASSERT_FALSE(ENABLED_OPT(AUTHENTICATION));
 
-	testpkt.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING,
-					    NTP_OLDVERSION - 1,
-					    MODE_CLIENT);
-	TEST_ASSERT_TRUE(PKT_VERSION(testpkt.li_vn_mode) < NTP_OLDVERSION);
+	testpkt.p.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING,
+					      NTP_OLDVERSION - 1,
+					      MODE_CLIENT);
+	TEST_ASSERT_TRUE(PKT_VERSION(testpkt.p.li_vn_mode) < NTP_OLDVERSION);
 
 	int pkt_len = LEN_PKT_NOMAC;
 	
 	TEST_ASSERT_EQUAL(SERVER_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, pkt_len,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, pkt_len,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -274,16 +292,16 @@
 {
 	TEST_ASSERT_FALSE(ENABLED_OPT(AUTHENTICATION));
 
-	testpkt.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING,
-					    NTP_VERSION + 1,
-					    MODE_CLIENT);
-	TEST_ASSERT_TRUE(PKT_VERSION(testpkt.li_vn_mode) > NTP_VERSION);
+	testpkt.p.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING,
+					      NTP_VERSION + 1,
+					      MODE_CLIENT);
+	TEST_ASSERT_TRUE(PKT_VERSION(testpkt.p.li_vn_mode) > NTP_VERSION);
 
 	int pkt_len = LEN_PKT_NOMAC;
 
 	TEST_ASSERT_EQUAL(SERVER_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, pkt_len,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, pkt_len,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -292,16 +310,16 @@
 {
 	TEST_ASSERT_FALSE(ENABLED_OPT(AUTHENTICATION));
 
-	testpkt.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING,
-					    NTP_VERSION,
-					    MODE_CLIENT);
+	testpkt.p.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING,
+					      NTP_VERSION,
+					      MODE_CLIENT);
 
 	/* The packet has a mode of MODE_CLIENT, but process_pkt expects
 	 * MODE_SERVER
 	 */
 	TEST_ASSERT_EQUAL(SERVER_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -311,12 +329,12 @@
 {
 	TEST_ASSERT_FALSE(ENABLED_OPT(AUTHENTICATION));
 
-	testpkt.stratum = STRATUM_PKT_UNSPEC;
-	memcpy(&testpkt.refid, "RATE", 4);
+	testpkt.p.stratum = STRATUM_PKT_UNSPEC;
+	memcpy(&testpkt.p.refid, "RATE", 4);
 
 	TEST_ASSERT_EQUAL(KOD_RATE,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -325,12 +343,12 @@
 {
 	TEST_ASSERT_FALSE(ENABLED_OPT(AUTHENTICATION));
 
-	testpkt.stratum = STRATUM_PKT_UNSPEC;
-	memcpy(&testpkt.refid, "DENY", 4);
+	testpkt.p.stratum = STRATUM_PKT_UNSPEC;
+	memcpy(&testpkt.p.refid, "DENY", 4);
 
 	TEST_ASSERT_EQUAL(KOD_DEMOBILIZE,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -339,13 +357,13 @@
 {
 	TEST_ASSERT_FALSE(ENABLED_OPT(AUTHENTICATION));
 
-	testpkt.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOTINSYNC,
-					    NTP_VERSION,
-					    MODE_SERVER);
+	testpkt.p.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOTINSYNC,
+					      NTP_VERSION,
+					      MODE_SERVER);
 
 	TEST_ASSERT_EQUAL(SERVER_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -357,15 +375,15 @@
 	l_fp tmp;
 	tmp.l_ui = 1000UL;
 	tmp.l_uf = 0UL;
-	HTONL_FP(&tmp, &testpkt.org);
+	HTONL_FP(&tmp, &testpkt.p.org);
 
 	tmp.l_ui = 2000UL;
 	tmp.l_uf = 0UL;
-	HTONL_FP(&tmp, &testspkt.xmt);
+	HTONL_FP(&tmp, &testspkt.p.xmt);
 
 	TEST_ASSERT_EQUAL(PACKET_UNUSEABLE,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -374,12 +392,12 @@
 {
 	TEST_ASSERT_FALSE(ENABLED_OPT(AUTHENTICATION));
 
-	testpkt.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING,
-					    NTP_VERSION,
-					    MODE_BROADCAST);
+	testpkt.p.li_vn_mode = PKT_LI_VN_MODE(LEAP_NOWARNING,
+					      NTP_VERSION,
+					      MODE_BROADCAST);
 
 	TEST_ASSERT_EQUAL(LEN_PKT_NOMAC,
-		  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC,
+		  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC,
 			      MODE_BROADCAST, NULL, "UnitTest"));
 }
 
@@ -390,8 +408,8 @@
 	TEST_ASSERT_FALSE(ENABLED_OPT(AUTHENTICATION));
 
 	TEST_ASSERT_EQUAL(LEN_PKT_NOMAC,
-			  process_pkt(&testpkt, &testsock, LEN_PKT_NOMAC,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, LEN_PKT_NOMAC,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -404,16 +422,16 @@
 	int pkt_len = LEN_PKT_NOMAC;
 
 	/* Prepare the packet. */
-	testpkt.exten[0] = htonl(10);
-	int mac_len = make_mac(&testpkt, pkt_len,
+	testpkt.p.exten[0] = htonl(10);
+	int mac_len = make_mac(&testpkt.p, pkt_len,
 			       MAX_MD5_LEN, key_ptr,
-			       &testpkt.exten[1]);
+			       &testpkt.p.exten[1]);
 
 	pkt_len += 4 + mac_len;
 
 	TEST_ASSERT_EQUAL(pkt_len,
-			  process_pkt(&testpkt, &testsock, pkt_len,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, pkt_len,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
 
 
@@ -426,14 +444,14 @@
 	int pkt_len = LEN_PKT_NOMAC;
 
 	/* Prepare the packet. */
-	testpkt.exten[0] = htonl(20);
-	int mac_len = make_mac(&testpkt, pkt_len,
+	testpkt.p.exten[0] = htonl(20);
+	int mac_len = make_mac(&testpkt.p, pkt_len,
 			       MAX_MAC_LEN, key_ptr,
-			       &testpkt.exten[1]);
+			       &testpkt.p.exten[1]);
 
 	pkt_len += 4 + mac_len;
 
 	TEST_ASSERT_EQUAL(pkt_len,
-			  process_pkt(&testpkt, &testsock, pkt_len,
-				      MODE_SERVER, &testspkt, "UnitTest"));
+			  process_pkt(&testpkt.p, &testsock, pkt_len,
+				      MODE_SERVER, &testspkt.p, "UnitTest"));
 }
Index: contrib/ntp/sntp/unity/ulib_setup.c
===================================================================
--- contrib/ntp/sntp/unity/ulib_setup.c	(不存在的)
+++ contrib/ntp/sntp/unity/ulib_setup.c	(版本 310419)
@@ -0,0 +1,14 @@
+/* default / lib implementation of 'setUp()'
+ *
+ * SOLARIS does not support weak symbols -- need a real lib
+ * implemetation here.
+ */
+
+extern void setUp(void);
+
+void setUp(void)
+{
+	/* empty on purpose */
+}
+
+/* -*- that's all folks! -*- */

 属性改变: contrib/ntp/sntp/unity/ulib_setup.c
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+FreeBSD=%H
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Index: contrib/ntp/tests/libntp/a_md5encrypt.c
===================================================================
--- contrib/ntp/tests/libntp/a_md5encrypt.c	(版本 309693)
+++ contrib/ntp/tests/libntp/a_md5encrypt.c	(版本 310419)
@@ -49,9 +49,7 @@
 	u_int32 *packetPtr;
 	int length;
 
-	packetPtr = emalloc(totalLength * sizeof(*packetPtr));
-
-	memset(packetPtr + packetLength, 0, keyIdLength);
+	packetPtr = emalloc_zero(totalLength * sizeof(*packetPtr));
 	memcpy(packetPtr, packet, packetLength);
 
 	cache_secretsize = keyLength;
Index: contrib/ntp/tests/ntpd/Makefile.am
===================================================================
--- contrib/ntp/tests/ntpd/Makefile.am	(版本 309693)
+++ contrib/ntp/tests/ntpd/Makefile.am	(版本 310419)
@@ -156,7 +156,6 @@
 	t-ntp_signd.c				\
 	run-t-ntp_signd.c			\
 	$(srcdir)/../libntp/test-libntp.c	\
-	$(srcdir)/../../ntpd/ntp_signd.c	\
 	$(NULL)
 
 $(srcdir)/run-t-ntp_signd.c: $(srcdir)/t-ntp_signd.c $(std_unity_list)
Index: contrib/ntp/util/ntp-keygen-opts.h
===================================================================
--- contrib/ntp/util/ntp-keygen-opts.h	(版本 309693)
+++ contrib/ntp/util/ntp-keygen-opts.h	(版本 310419)
@@ -1,7 +1,7 @@
 /*
  *  EDIT THIS FILE WITH CAUTION  (ntp-keygen-opts.h)
  *
- *  It has been AutoGen-ed  June  2, 2016 at 07:39:23 AM by AutoGen 5.18.5
+ *  It has been AutoGen-ed  November 21, 2016 at 08:03:29 AM by AutoGen 5.18.5
  *  From the definitions    ntp-keygen-opts.def
  *  and the template file   options
  *
@@ -94,9 +94,9 @@
 /** count of all options for ntp-keygen */
 #define OPTION_CT    26
 /** ntp-keygen version */
-#define NTP_KEYGEN_VERSION       "4.2.8p8"
+#define NTP_KEYGEN_VERSION       "4.2.8p9"
 /** Full ntp-keygen version text */
-#define NTP_KEYGEN_FULL_VERSION  "ntp-keygen (ntp) 4.2.8p8"
+#define NTP_KEYGEN_FULL_VERSION  "ntp-keygen (ntp) 4.2.8p9"
 
 /**
  *  Interface defines for all options.  Replace "n" with the UPPER_CASED
Index: usr.sbin/ntp/config.h
===================================================================
--- usr.sbin/ntp/config.h	(版本 309693)
+++ usr.sbin/ntp/config.h	(版本 310419)
@@ -1449,7 +1449,7 @@
 #define PACKAGE_NAME "ntp"
 
 /* Define to the full name and version of this package. */
-#define PACKAGE_STRING "ntp 4.2.8p8"
+#define PACKAGE_STRING "ntp 4.2.8p9"
 
 /* Define to the one symbol short name of this package. */
 #define PACKAGE_TARNAME "ntp"
@@ -1458,7 +1458,7 @@
 #define PACKAGE_URL "http://www.ntp.org./"
 
 /* Define to the version of this package. */
-#define PACKAGE_VERSION "4.2.8p8"
+#define PACKAGE_VERSION "4.2.8p9"
 
 /* data dir */
 #define PERLLIBDIR "/usr/local/share/ntp/lib"
@@ -1639,7 +1639,7 @@
 /* #undef USE_UDP_SIGPOLL */
 
 /* Version number of package */
-#define VERSION "4.2.8p8"
+#define VERSION "4.2.8p9"
 
 /* vsnprintf expands "%m" to strerror(errno) */
 /* #undef VSNPRINTF_PERCENT_M */
@@ -1816,5 +1816,5 @@
 /*
  * FreeBSD specific: Explicitly specify date/time for reproducible build.
  */
-#define	MKREPRO_DATE "Jun 03 2016"
-#define	MKREPRO_TIME "06:34:37"
+#define	MKREPRO_DATE "Nov 22 2016"
+#define	MKREPRO_TIME "06:54:45"
Index: contrib/ntp/scripts/ntptrace/ntptrace.1ntptraceman
===================================================================
--- contrib/ntp/scripts/ntptrace/ntptrace.1ntptraceman	(版本 309693)
+++ contrib/ntp/scripts/ntptrace/ntptrace.1ntptraceman	(版本 310419)
@@ -10,11 +10,11 @@
 .ds B-Font B
 .ds I-Font I
 .ds R-Font R
-.TH ntptrace 1ntptraceman "02 Jun 2016" "ntp (4.2.8p8)" "User Commands"
+.TH ntptrace 1ntptraceman "21 Nov 2016" "ntp (4.2.8p9)" "User Commands"
 .\"
-.\" EDIT THIS FILE WITH CAUTION (/tmp/.ag-GMa4.N/ag-VMaa.N)
+.\" EDIT THIS FILE WITH CAUTION (/tmp/.ag-TDaOwb/ag-6DaWvb)
 .\"
-.\" It has been AutoGen-ed June 2, 2016 at 07:24:59 AM by AutoGen 5.18.5
+.\" It has been AutoGen-ed November 21, 2016 at 07:59:03 AM by AutoGen 5.18.5
 .\" From the definitions ntptrace-opts.def
 .\" and the template file agman-cmd.tpl
 .SH NAME
Index: contrib/ntp/scripts/ntptrace/ntptrace.mdoc.in
===================================================================
--- contrib/ntp/scripts/ntptrace/ntptrace.mdoc.in	(版本 309693)
+++ contrib/ntp/scripts/ntptrace/ntptrace.mdoc.in	(版本 310419)
@@ -1,9 +1,9 @@
-.Dd June 2 2016
+.Dd November 21 2016
 .Dt NTPTRACE @NTPTRACE_MS@ User Commands
 .Os
 .\"  EDIT THIS FILE WITH CAUTION  (ntptrace-opts.mdoc)
 .\"
-.\"  It has been AutoGen-ed  June  2, 2016 at 07:25:05 AM by AutoGen 5.18.5
+.\"  It has been AutoGen-ed  November 21, 2016 at 07:59:08 AM by AutoGen 5.18.5
 .\"  From the definitions    ntptrace-opts.def
 .\"  and the template file   agmdoc-cmd.tpl
 .Sh NAME
Index: contrib/ntp/scripts/summary.1summaryman
===================================================================
--- contrib/ntp/scripts/summary.1summaryman	(版本 309693)
+++ contrib/ntp/scripts/summary.1summaryman	(版本 310419)
@@ -10,11 +10,11 @@
 .ds B-Font B
 .ds I-Font I
 .ds R-Font R
-.TH summary 1summaryman "02 Jun 2016" "ntp (4.2.8p8)" "User Commands"
+.TH summary 1summaryman "21 Nov 2016" "ntp (4.2.8p9)" "User Commands"
 .\"
-.\" EDIT THIS FILE WITH CAUTION (/tmp/.ag-OuaicR/ag-3uaqbR)
+.\" EDIT THIS FILE WITH CAUTION (/tmp/.ag-SaaaEe/ag-5aaiDe)
 .\"
-.\" It has been AutoGen-ed June 2, 2016 at 07:26:00 AM by AutoGen 5.18.5
+.\" It has been AutoGen-ed November 21, 2016 at 07:59:34 AM by AutoGen 5.18.5
 .\" From the definitions summary-opts.def
 .\" and the template file agman-cmd.tpl
 .SH NAME
Index: contrib/ntp/scripts/summary.mdoc.in
===================================================================
--- contrib/ntp/scripts/summary.mdoc.in	(版本 309693)
+++ contrib/ntp/scripts/summary.mdoc.in	(版本 310419)
@@ -1,9 +1,9 @@
-.Dd June 2 2016
+.Dd November 21 2016
 .Dt SUMMARY 1summarymdoc User Commands
 .Os
 .\"  EDIT THIS FILE WITH CAUTION  (summary-opts.mdoc)
 .\"
-.\"  It has been AutoGen-ed  June  2, 2016 at 07:26:02 AM by AutoGen 5.18.5
+.\"  It has been AutoGen-ed  November 21, 2016 at 07:59:36 AM by AutoGen 5.18.5
 .\"  From the definitions    summary-opts.def
 .\"  and the template file   agmdoc-cmd.tpl
 .Sh NAME
Index: contrib/ntp/scripts/update-leap/update-leap.1update-leapmdoc
===================================================================
--- contrib/ntp/scripts/update-leap/update-leap.1update-leapmdoc	(版本 309693)
+++ contrib/ntp/scripts/update-leap/update-leap.1update-leapmdoc	(版本 310419)
@@ -1,9 +1,9 @@
-.Dd June 2 2016
+.Dd November 21 2016
 .Dt UPDATE_LEAP 1update-leapmdoc User Commands
 .Os
 .\"  EDIT THIS FILE WITH CAUTION  (update-leap-opts.mdoc)
 .\"
-.\"  It has been AutoGen-ed  June  2, 2016 at 07:25:37 AM by AutoGen 5.18.5
+.\"  It has been AutoGen-ed  November 21, 2016 at 07:59:20 AM by AutoGen 5.18.5
 .\"  From the definitions    update-leap-opts.def
 .\"  and the template file   agmdoc-cmd.tpl
 .Sh NAME
Index: contrib/ntp/scripts/update-leap/update-leap.mdoc.in
===================================================================
--- contrib/ntp/scripts/update-leap/update-leap.mdoc.in	(版本 309693)
+++ contrib/ntp/scripts/update-leap/update-leap.mdoc.in	(版本 310419)
@@ -1,9 +1,9 @@
-.Dd June 2 2016
+.Dd November 21 2016
 .Dt UPDATE_LEAP 1update-leapmdoc User Commands
 .Os
 .\"  EDIT THIS FILE WITH CAUTION  (update-leap-opts.mdoc)
 .\"
-.\"  It has been AutoGen-ed  June  2, 2016 at 07:25:37 AM by AutoGen 5.18.5
+.\"  It has been AutoGen-ed  November 21, 2016 at 07:59:20 AM by AutoGen 5.18.5
 .\"  From the definitions    update-leap-opts.def
 .\"  and the template file   agmdoc-cmd.tpl
 .Sh NAME
Index: contrib/ntp/sntp/sntp-opts.h
===================================================================
--- contrib/ntp/sntp/sntp-opts.h	(版本 309693)
+++ contrib/ntp/sntp/sntp-opts.h	(版本 310419)
@@ -1,7 +1,7 @@
 /*
  *  EDIT THIS FILE WITH CAUTION  (sntp-opts.h)
  *
- *  It has been AutoGen-ed  June  2, 2016 at 07:18:40 AM by AutoGen 5.18.5
+ *  It has been AutoGen-ed  November 21, 2016 at 07:38:39 AM by AutoGen 5.18.5
  *  From the definitions    sntp-opts.def
  *  and the template file   options
  *
@@ -91,9 +91,9 @@
 /** count of all options for sntp */
 #define OPTION_CT    23
 /** sntp version */
-#define SNTP_VERSION       "4.2.8p8"
+#define SNTP_VERSION       "4.2.8p9"
 /** Full sntp version text */
-#define SNTP_FULL_VERSION  "sntp 4.2.8p8"
+#define SNTP_FULL_VERSION  "sntp 4.2.8p9"
 
 /**
  *  Interface defines for all options.  Replace "n" with the UPPER_CASED
Index: usr.sbin/ntp/libntp/Makefile
===================================================================
--- usr.sbin/ntp/libntp/Makefile	(版本 309693)
+++ usr.sbin/ntp/libntp/Makefile	(版本 310419)
@@ -17,7 +17,9 @@
 	emalloc.c	findconfig.c	getopt.c	hextoint.c \
 	hextolfp.c	humandate.c	icom.c		iosignal.c \
 	is_ip_address.c \
-	lib_strbuf.c	machines.c	mktime.c	modetoa.c \
+	lib_strbuf.c	\
+	libssl_compat.c \
+	machines.c	mktime.c	modetoa.c \
 	mstolfp.c	msyslog.c	netof.c		ntp_calendar.c \
 	ntp_crypto_rnd.c		ntp_intres.c	ntp_libopts.c \
 	ntp_lineedit.c	ntp_random.c	ntp_rfc2553.c	ntp_worker.c \
Index: contrib/ntp/sntp/sntp.1sntpman
===================================================================
--- contrib/ntp/sntp/sntp.1sntpman	(版本 309693)
+++ contrib/ntp/sntp/sntp.1sntpman	(版本 310419)
@@ -10,11 +10,11 @@
 .ds B-Font B
 .ds I-Font I
 .ds R-Font R
-.TH sntp 1sntpman "02 Jun 2016" "4.2.8p8" "User Commands"
+.TH sntp 1sntpman "21 Nov 2016" "4.2.8p9" "User Commands"
 .\"
-.\" EDIT THIS FILE WITH CAUTION (/tmp/.ag-5CayKq/ag-fDaqJq)
+.\" EDIT THIS FILE WITH CAUTION (/tmp/.ag-Mfai12/ag-0faa02)
 .\"
-.\" It has been AutoGen-ed June 2, 2016 at 07:19:39 AM by AutoGen 5.18.5
+.\" It has been AutoGen-ed November 21, 2016 at 07:58:25 AM by AutoGen 5.18.5
 .\" From the definitions sntp-opts.def
 .\" and the template file agman-cmd.tpl
 .SH NAME
Index: contrib/ntp/sntp/sntp.mdoc.in
===================================================================
--- contrib/ntp/sntp/sntp.mdoc.in	(版本 309693)
+++ contrib/ntp/sntp/sntp.mdoc.in	(版本 310419)
@@ -1,9 +1,9 @@
-.Dd June 2 2016
+.Dd November 21 2016
 .Dt SNTP @SNTP_MS@ User Commands
 .Os
 .\"  EDIT THIS FILE WITH CAUTION  (sntp-opts.mdoc)
 .\"
-.\"  It has been AutoGen-ed  June  2, 2016 at 07:20:03 AM by AutoGen 5.18.5
+.\"  It has been AutoGen-ed  November 21, 2016 at 07:58:32 AM by AutoGen 5.18.5
 .\"  From the definitions    sntp-opts.def
 .\"  and the template file   agmdoc-cmd.tpl
 .Sh NAME
Index: contrib/ntp/sntp/version.c
===================================================================
--- contrib/ntp/sntp/version.c	(版本 309693)
+++ contrib/ntp/sntp/version.c	(版本 310419)
@@ -2,4 +2,4 @@
  * version file for sntp
  */
 #include <config.h>
-const char * Version = "sntp 4.2.8p7@1.3265-o Thu Jun  2 11:19:34 UTC 2016 (29)";
+const char * Version = "sntp 4.2.8p9@1.3265-o Mon Nov 21 12:58:21 UTC 2016 (31)";
Index: contrib/ntp/tests/libntp/sfptostr.c
===================================================================
--- contrib/ntp/tests/libntp/sfptostr.c	(版本 309693)
+++ contrib/ntp/tests/libntp/sfptostr.c	(版本 310419)
@@ -39,7 +39,7 @@
 
 void test_NegativeInteger(void)
 {
-	s_fp test = -200 << 16; // exact -200.000000
+	s_fp test = -(200 << 16); // exact -200.000000
 
 	TEST_ASSERT_EQUAL_STRING("-200.000000", fptoa(test, SFP_MAX_PRECISION));
 	TEST_ASSERT_EQUAL_STRING("-200000.000", fptoms(test, SFP_MAX_PRECISION));
@@ -55,7 +55,7 @@
 
 void test_NegativeIntegerNegativeFraction(void)
 {
-	s_fp test = (-200 << 16) - (1 << 15); // -200 - 0.5
+	s_fp test = -(200 << 16) - (1 << 15); // -200 - 0.5
 
 	TEST_ASSERT_EQUAL_STRING("-200.500000", fptoa(test, SFP_MAX_PRECISION));
 	TEST_ASSERT_EQUAL_STRING("-200500.000", fptoms(test, SFP_MAX_PRECISION));
@@ -71,7 +71,7 @@
 
 void test_NegativeIntegerPositiveFraction(void)
 {
-	s_fp test = (-200 << 16) + (1 << 14)*3; // -200 + 0.75
+	s_fp test = -(200 << 16) + (1 << 14)*3; // -200 + 0.75
 
 	TEST_ASSERT_EQUAL_STRING("-199.250000", fptoa(test, SFP_MAX_PRECISION));
 	TEST_ASSERT_EQUAL_STRING("-199250.000", fptoms(test, SFP_MAX_PRECISION));
Index: contrib/ntp/util/ntp-keygen-opts.c
===================================================================
--- contrib/ntp/util/ntp-keygen-opts.c	(版本 309693)
+++ contrib/ntp/util/ntp-keygen-opts.c	(版本 310419)
@@ -1,7 +1,7 @@
 /*
  *  EDIT THIS FILE WITH CAUTION  (ntp-keygen-opts.c)
  *
- *  It has been AutoGen-ed  June  2, 2016 at 07:39:24 AM by AutoGen 5.18.5
+ *  It has been AutoGen-ed  November 21, 2016 at 08:03:30 AM by AutoGen 5.18.5
  *  From the definitions    ntp-keygen-opts.def
  *  and the template file   options
  *
@@ -72,7 +72,7 @@
  *  static const strings for ntp-keygen options
  */
 static char const ntp_keygen_opt_strs[2419] =
-/*     0 */ "ntp-keygen (ntp) 4.2.8p8\n"
+/*     0 */ "ntp-keygen (ntp) 4.2.8p9\n"
             "Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.\n"
             "This is free software. It is licensed for use, modification and\n"
             "redistribution under the terms of the NTP License, copies of which\n"
@@ -164,7 +164,7 @@
 /*  2202 */ "no-load-opts\0"
 /*  2215 */ "no\0"
 /*  2218 */ "NTP_KEYGEN\0"
-/*  2229 */ "ntp-keygen (ntp) - Create a NTP host key - Ver. 4.2.8p8\n"
+/*  2229 */ "ntp-keygen (ntp) - Create a NTP host key - Ver. 4.2.8p9\n"
             "Usage:  %s [ -<flag> [<val>] | --<name>[{=| }<val>] ]...\n\0"
 /*  2343 */ "$HOME\0"
 /*  2349 */ ".\0"
@@ -171,7 +171,7 @@
 /*  2351 */ ".ntprc\0"
 /*  2358 */ "http://bugs.ntp.org, bugs@ntp.org\0"
 /*  2392 */ "\n\0"
-/*  2394 */ "ntp-keygen (ntp) 4.2.8p8";
+/*  2394 */ "ntp-keygen (ntp) 4.2.8p9";
 
 /**
  *  imbits option description:
@@ -1309,7 +1309,7 @@
      translate option names.
    */
   /* referenced via ntp_keygenOptions.pzCopyright */
-  puts(_("ntp-keygen (ntp) 4.2.8p8\n\
+  puts(_("ntp-keygen (ntp) 4.2.8p9\n\
 Copyright (C) 1992-2016 The University of Delaware and Network Time Foundation, all rights reserved.\n\
 This is free software. It is licensed for use, modification and\n\
 redistribution under the terms of the NTP License, copies of which\n\
@@ -1408,7 +1408,7 @@
   puts(_("load options from a config file"));
 
   /* referenced via ntp_keygenOptions.pzUsageTitle */
-  puts(_("ntp-keygen (ntp) - Create a NTP host key - Ver. 4.2.8p8\n\
+  puts(_("ntp-keygen (ntp) - Create a NTP host key - Ver. 4.2.8p9\n\
 Usage:  %s [ -<flag> [<val>] | --<name>[{=| }<val>] ]...\n"));
 
   /* referenced via ntp_keygenOptions.pzExplain */
@@ -1415,7 +1415,7 @@
   puts(_("\n"));
 
   /* referenced via ntp_keygenOptions.pzFullVersion */
-  puts(_("ntp-keygen (ntp) 4.2.8p8"));
+  puts(_("ntp-keygen (ntp) 4.2.8p9"));
 
   /* referenced via ntp_keygenOptions.pzFullUsage */
   puts(_("<<<NOT-FOUND>>>"));
